Name: multibit-commons
Version: 1.1.0
Release: 2%{?dist}
Summary: Classes and libraries to support MultiBit projects

License: MIT and GPLv2+
URL: https://github.com/keepkey/multibit-commons
Source0: https://github.com/keepkey/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch: noarch

BuildRequires: maven-local
BuildRequires: mvn(org.bitcoinj:bitcoinj-core)
BuildRequires: mvn(org.bouncycastle:bcpg-jdk15on)
BuildRequires: mvn(org.slf4j:jul-to-slf4j)
BuildRequires: mvn(ch.qos.logback:logback-classic)
BuildRequires: mvn(joda-time:joda-time)
BuildRequires: mvn(com.google.code.findbugs:annotations)
BuildRequires: mvn(org.apache.maven.plugins:maven-release-plugin)

%description
MultiBit Commons contains classes and libraries to support MultiBit projects.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%pom_remove_plugin org.apache.maven.plugins:maven-source-plugin
%pom_remove_plugin org.codehaus.mojo:findbugs-maven-plugin
%pom_remove_dep org.easytesting

%pom_change_dep -r com.madgag.spongycastle:pg org.bouncycastle:bcpg-jdk15on
find . -type f -name '*.java' -exec sed -i 's/spongycastle/bouncycastle/g' '{}' \;

%build
# missing dependency org.easytesting:fest-util
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Apr 28 2016 Jonny Heggheim <hegjon@gmail.com> - 1.1.0-1
- Inital packaging
